<script setup>
const props = defineProps([
    'object',
    'active'
])

const emit = defineEmits(['choose', 'open'])

const handleChoose = (event) => {
    if(props.object.linkable) {
        emit('choose')
    }
}

</script>

<template>
<div class="d-flex mt-0 pointer-cursor hover py-1" @click="handleChoose" @dblclick="$emit('open')">
    <v-icon v-if="object.icon.includes('fa-')"
        class="mx-1 my-auto"
        size="15"
        :icon="'fa: ' + object.icon"
        @click.stop="() => {$emit('open')}"
    ></v-icon>
    <v-icon v-if="!object.icon"
        class="mx-1 my-auto"
        size="15"
        :icon="'fa: fas fa-circle-question'"
        @click.stop="() => {$emit('open')}"
    ></v-icon>
    <v-img v-if="object.icon.toLowerCase().includes('.png', '.jpg', '.jpeg', '.svg')"
        max-width="15"
        :src="object.icon"
        @click.stop="() => {$emit('open')}"
    ></v-img>
    <div :class="[{ 'font-weight-bold': active }, 'me-auto', 'my-auto', 'text-truncate']">&nbsp;{{ object.name }}</div>
    <div v-if="object.has_children">
        <v-btn
            density="compact"
            icon="mdi-chevron-right"
            color="grey"
            variant="plain"
            @click.stop="() => {$emit('open')}"
        ></v-btn>
    </div>
</div>
</template>

<style>
.hover:hover {
    background-color: #f2f2f2;
}
</style>
